> For the complete documentation index, see [llms.txt](https://docs.panther.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.panther.com/ko/pantherflow/operators/project.md).

# Project 연산자

## 개요

반환할 필드를 선택하고, 필요에 따라 이름을 바꾸거나 다음을 사용해 새 필드를 계산할 수 있습니다 `투영`.

```kusto
| project [<dest>=]<expression>[, ...]
```

## 예시

{% hint style="info" %}
예제 데이터

```kusto
let aws_alb = datatable [
  {"type": "https", "p_event_time": "2023-09-16 05:45:34.863", "elb": "app/http-ingest-alb/71c6e92aca17df92", "clientIp": "192.168.11.34", "elbStatusCode": 200, "sentBytes": 329, "requestHttpVersion": "HTTP/1.1", "sslCipher": "TLS_AES_128_GCM_SHA256", "userAgent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/118.0.0.0 Safari/537.36"},
  {"type": "https", "p_event_time": "2023-09-16 05:59:04.058", "elb": "app/http-ingest-alb/71c6e92aca17df92", "clientIp": "192.168.1.1", "elbStatusCode": 403, "sentBytes": 167, "requestHttpVersion": "HTTP/1.1", "sslCipher": "TLS_AES_128_GCM_SHA256", "userAgent": "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/126.0.0.0 Safari/537.36"},
  {"type": "https", "p_event_time": "2023-09-16 05:36:09.017", "elb": "app/http-ingest-alb/71c6e92aca17df92", "clientIp": "10.168.22.7", "elbStatusCode": 404, "sentBytes": 167, "requestHttpVersion": "HTTP/2.0", "sslCipher": "ECDHE-RSA-AES128-GCM-SHA256", "userAgent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_13_4) AppleWebKit/605.1.15 (KHTML, like Gecko) Version/11.1 Safari/605.1.15"},
  {"type": "https", "p_event_time": "2023-09-16 05:36:09.017", "elb": "app/http-ingest-alb/71c6e92aca17df92", "clientIp": "10.168.22.1", "elbStatusCode": 200, "sentBytes": 321, "requestHttpVersion": "HTTP/1.1", "sslCipher": "ECDHE-RSA-AES128-GCM-SHA256", "userAgent": "Opera/9.80 (X11; Linux i686; U; pl) Presto/2.6.30 Version/10.61"}
];
```

{% endhint %}

### 특정 필드만 반환

아래 쿼리는 다음만 반환합니다 `p_event_time`그리고 `clientIp` fields:

```kusto
aws_alb
| project p_event_time, clientIp
```

| 이벤트                                                                          |
| ---------------------------------------------------------------------------- |
| `{ "p_event_time": "2023-09-16 05:45:34.863", "clientIp": "192.168.11.34" }` |
| `{ "p_event_time": "2023-09-16 05:59:04.058", "clientIp": "192.168.1.1" }`   |
| `{ "p_event_time": "2023-09-16 05:36:09.017", "clientIp": "10.168.22.7" }`   |
| `{ "p_event_time": "2023-09-16 05:36:09.017", "clientIp": "10.168.22.1" }`   |

### 필드 이름 바꾸기

```kusto
aws_alb
| project p_event_time, client=clientIp
```

| 이벤트                                                                        |
| -------------------------------------------------------------------------- |
| `{ "p_event_time": "2023-09-16 05:45:34.863", "client": "192.168.11.34" }` |
| `{ "p_event_time": "2023-09-16 05:59:04.058", "client": "192.168.1.1" }`   |
| `{ "p_event_time": "2023-09-16 05:36:09.017", "client": "10.168.22.7" }`   |
| `{ "p_event_time": "2023-09-16 05:36:09.017", "client": "10.168.22.1" }`   |

### 새 필드 계산

이 기능은 다음과 유사합니다 [`확장`](/ko/pantherflow/operators/extend.md) 연산자.

```kusto
aws_alb
| project p_event_time, client = clientIp,
          is_http_11 = requestHttpVersion == 'HTTP/1.1'
```

| 이벤트                                                                                            |
| ---------------------------------------------------------------------------------------------- |
| `{ "p_event_time": "2023-09-16 05:45:34.863", "client": "192.168.11.34", "is_http_11": true }` |
| `{ "p_event_time": "2023-09-16 05:59:04.058", "client": "192.168.1.1", "is_http_11": true }`   |
| `{ "p_event_time": "2023-09-16 05:36:09.017", "client": "10.168.22.7", "is_http_11": false }`  |
| `{ "p_event_time": "2023-09-16 05:36:09.017", "client": "10.168.22.1", "is_http_11": true }`   |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.panther.com/ko/pantherflow/operators/project.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
